com.brightcove.player.model

## Class VideoFields

- java.lang.Object
- - com.brightcove.player.model.VideoFields

-     public class VideoFields
      extends java.lang.Object

  Static class that contains all the relevant names for fields that are provided for Video data by the Media API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCOUNT_ID`
    `static java.lang.String` | `CAPTIONING`
    `static java.lang.String` | `CUE_POINTS`
    `static java.lang.String` | `CUSTOM_FIELDS`
    `static java.lang.String[]` | `DEFAULT_FIELDS` The default Video fields retrieved for any requests from the Media API.
    `static java.lang.String` | `DURATION`
    `static java.lang.String` | `HLS_URL`
    `static java.lang.String` | `ID`
    `static java.lang.String` | `IOS_RENDITIONS`
    `static java.lang.String` | `NAME`
    `static java.lang.String` | `REFERENCE_ID`
    `static java.lang.String` | `RENDITIONS`
    `static java.lang.String` | `SHORT_DESCRIPTION`
    `static java.lang.String` | `VIDEO_FULL_LENGTH`
    `static java.lang.String` | `VIDEO_STILL_URL`
    `static java.lang.String` | `WVM_RENDITIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### REFERENCE_ID

          public static final java.lang.String REFERENCE_ID

      See Also:
        Constant Field Values

    - #### SHORT_DESCRIPTION

          public static final java.lang.String SHORT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VIDEO_STILL_URL

          public static final java.lang.String VIDEO_STILL_URL

      See Also:
        Constant Field Values

    - #### HLS_URL

          public static final java.lang.String HLS_URL

      See Also:
        Constant Field Values

    - #### VIDEO_FULL_LENGTH

          public static final java.lang.String VIDEO_FULL_LENGTH

      See Also:
        Constant Field Values

    - #### CUSTOM_FIELDS

          public static final java.lang.String CUSTOM_FIELDS

      See Also:
        Constant Field Values

    - #### DURATION

          public static final java.lang.String DURATION

      See Also:
        Constant Field Values

    - #### RENDITIONS

          public static final java.lang.String RENDITIONS

      See Also:
        Constant Field Values

    - #### WVM_RENDITIONS

          public static final java.lang.String WVM_RENDITIONS

      See Also:
        Constant Field Values

    - #### CUE_POINTS

          public static final java.lang.String CUE_POINTS

      See Also:
        Constant Field Values

    - #### ACCOUNT_ID

          public static final java.lang.String ACCOUNT_ID

      See Also:
        Constant Field Values

    - #### IOS_RENDITIONS

          public static final java.lang.String IOS_RENDITIONS

      See Also:
        Constant Field Values

    - #### CAPTIONING

          public static final java.lang.String CAPTIONING

      See Also:
        Constant Field Values

    - #### DEFAULT_FIELDS

          public static final java.lang.String[] DEFAULT_FIELDS

      The default Video fields retrieved for any requests from the Media API.

  - ### Constructor Detail

    - #### VideoFields

          public VideoFields()